Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infrastructure.logging
Class Log

    java.lang.Object
      infrastructure.logging.Log

public class Log
extends java.lang.Object

Class for logging messages. Allows us to change the logging implementation. Needs to be configured at startup by calling the 'initialize' method

Author:
  amangat

Method Summary
`void` | `debugMessage(java.lang.String message, java.lang.String category)` Log a debug message
`void` | `fatalMessage(java.lang.String message, java.lang.String category)` Log a fatal message
`static Log` | `getInstance()` Returns the singleton object
`void` | `infoMessage(java.lang.String message, java.lang.String category)` Log a info message
`void` | `initialize(java.io.InputStream inputStream)` Initialize using an input stream
`void` | `initialize(java.lang.String filename)` Initialize using a file
`void` | `warnMessage(java.lang.String message, java.lang.String category)` Log a warn message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialize

    public void initialize(java.io.InputStream inputStream)
                    throws java.lang.UnsupportedOperationException

  Initialize using an input stream

  Parameters:
    `inputStream` -
  Throws:
    `java.lang.UnsupportedOperationException`

### initialize

    public void initialize(java.lang.String filename)

  Initialize using a file

  Parameters:
    `filename` -

### getInstance

    public static Log getInstance()

  Returns the singleton object

  Returns:

### debugMessage

    public void debugMessage(java.lang.String message,
                             java.lang.String category)

  Log a debug message

  Parameters:
    `message` -
    `category` -

### infoMessage

    public void infoMessage(java.lang.String message,
                            java.lang.String category)

  Log a info message

  Parameters:
    `message` -
    `category` -

### warnMessage

    public void warnMessage(java.lang.String message,
                            java.lang.String category)

  Log a warn message

  Parameters:
    `message` -
    `category` -

### fatalMessage

    public void fatalMessage(java.lang.String message,
                             java.lang.String category)

  Log a fatal message

  Parameters:
    `message` -
    `category` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD